Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Interface BuildResultsSummary

All Superinterfaces:
  ResultStatisticsProvider

All Known Subinterfaces:
  ExtendedBuildResultsSummary

All Known Implementing Classes:
  AbstractBuildResultsSummary, BuildResultsSummaryDocument, BuildResultsSummaryImpl, LegacyBuildResultsSummaryImpl

    public interface BuildResultsSummary

extends ResultStatisticsProvider

An interface which provides a summarized lightweight version of a full blown `BuildResultsImpl` object.

Method Summary
`Date` | `getBuildCompletedDate()`
`String` | `getBuildKey()`
`String` | `getBuildResultKey()`
`String` | `getBuildTime()`
`String` | `getChangedByAuthors()`
`List` | `getComments()`
`Map` | `getCustomBuildData()`
`DeltaState` | `getDeltaState()`
`long` | `getDuration()`
`String` | `getDurationDescription()`
`long` | `getFailedBuildCount()`
`long` | `getId()`
`Set` | `getJiraIssueKeys()`
`List` | `getLabellings()`
`List` | `getLabelNames()`
`ReasonForBuild` | `getReasonForBuild()`
`String` | `getReasonSummary()`
`String` | `getRelativeBuildDate()`
`String` | `getRelativeBuildDate(Date comparedTo)`
`long` | `getSuccessfulBuildCount()`
`String` | `getTestSummary()`
`Long` | `getTimeToFix()`
`boolean` | `isFailed()`
`boolean` | `isSuccessful()`

Methods inherited from interface com.atlassian.bamboo.resultsummary.ResultStatisticsProvider
`getBuildDate, getBuildNumber, getBuildState, getDurationInSeconds`

Method Detail

### getId

    long getId()

### getBuildResultKey

    String getBuildResultKey()

### getFailedBuildCount

    long getFailedBuildCount()

### getSuccessfulBuildCount

    long getSuccessfulBuildCount()

### getDurationDescription

    String getDurationDescription()

### getReasonForBuild

    ReasonForBuild getReasonForBuild()

### getReasonSummary

    String getReasonSummary()

### getRelativeBuildDate

    String getRelativeBuildDate()

### getChangedByAuthors

    String getChangedByAuthors()

### getTestSummary

    String getTestSummary()

### getDeltaState

    DeltaState getDeltaState()

### getDuration

    long getDuration()

### getRelativeBuildDate

    String getRelativeBuildDate(Date comparedTo)

### isFailed

    boolean isFailed()

### isSuccessful

    boolean isSuccessful()

### getBuildTime

    String getBuildTime()

### getBuildKey

    String getBuildKey()

### getCustomBuildData

    Map getCustomBuildData()

### getLabellings

    List getLabellings()

### getLabelNames

    List getLabelNames()

### getJiraIssueKeys

    Set getJiraIssueKeys()

### getTimeToFix

    Long getTimeToFix()

### getComments

    List getComments()

### getBuildCompletedDate

    Date getBuildCompletedDate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.